Skip to main content
PATCH
/
dev
/
v1
/
payment-links
/
{id}
Update payment link
curl --request PATCH \
  --url https://api.shoppex.io/dev/v1/payment-links/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated sale",
  "type": "FIXED_PRICE",
  "status": false,
  "price": "29.99",
  "currency": "USD",
  "gateways": "stripe",
  "products_ids": "",
  "discount_code_allowed": false,
  "customer_address_required": false,
  "customer_phone_required": false,
  "show_confirmation_page": true
}
'
{
  "data": {
    "payment_link": {
      "uniqid": "plink_1",
      "name": "Updated sale",
      "is_active": false,
      "show_confirmation_page": true,
      "url": "https://checkout.shoppex.io/pay/plink_1"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

id
string
required

Body

The body is of type object.

Response

200 - application/json

Successful response

data
object